Debian Bug report logs - #244582
ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yann Dirson <dirson@debian.org>

Date: Mon, 19 Apr 2004 00:48:02 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <dirson@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens
Date: Mon, 19 Apr 2004 02:39:39 +0200
Package: wnpp
Severity: wishlist

* Package name    : ufoai
  Version         : 0.0.040218
  Upstream Author : herby@planetquake.com and others
* URL             : http://ufo.myexp.de/
* License         : GPL
  Description     : UFO: Alien Invasion - build your team and stop the aliens

This is a remake of the mythical XCOM serise ("UFO: Enemy Unknown"), with a
quake2-based engine for tactical missions.  This version is only a
"technical demo" coming with 3 missions, but I'm working on packaging 4
other maps already available.

For the impatient, preliminary packages are available at
http://ydirson.free.fr/soft/debian/ufoai/

The only downside is that most of the artwork has a usage restriction, which
makes the data non-free, and the game contrib.

-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Information stored:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 244582-quiet@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: 244582-quiet@bugs.debian.org, justinpryzby@users.sf.net
Subject: Re: Outstanding ITP - ufoai
Date: Wed, 5 Jan 2005 08:07:53 +0100
On Mon, Jan 03, 2005 at 11:20:39PM -0500, Justin Pryzby wrote:
> Do you still intend to create this package?  If so, please keep the
> bugtracking system informed of progress and delays.  ITPs which are
> just waiting for a sponsor should be tagged 'patch'; I recommend the
> bts script from the devscripts package.

Status: still waiting on an official explicit licence on the data,
packages otherwise ready.

-- 
Yann Dirson    <ydirson@altern.org> |
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
                                    |  Freedom, Power, Stability, Gratis
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yann Dirson <dirson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 244582-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 244582-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 08 Jan 2006 11:59:34 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 244582
thanks bts

Further comments on the work done in the bug sent to
244582@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 244582@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: 244582@bugs.debian.org
Subject: UFO:AI is back
Date: Sun, 19 Feb 2006 15:01:26 +0100
The ufo:ai project is being brought back among the living.
New URL: http://ufoai.sourceforge.net/

I am updating the preliminary packages to what's in cvs, and will
upload once we have something playable.

-- 
Yann Dirson    <ydirson@altern.org> |
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
                                    |  Freedom, Power, Stability, Gratis
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Owner recorded as Yann Dirson <ydirson@altern.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Nylander <yeager@lidkoping.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #29 received at 244582@bugs.debian.org (full text, mbox):

From: Daniel Nylander <yeager@lidkoping.net>
To: 244582@bugs.debian.org
Subject: Status?
Date: Tue, 03 Apr 2007 22:59:58 +0200
What is the status of this ITP?

Version 2.1 of UFO:AI was been released a couple of days ago.




Bug reopened, originator not changed. Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. (Tue, 15 May 2007 16:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #36 received at 244582@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: Yann Dirson <ydirson@altern.org>
Cc: 244582@bugs.debian.org
Subject: Re: UFO:AI is back
Date: Tue, 25 Sep 2007 12:21:02 +0200
hi Yann,

On Sun, Feb 19, 2006 at 03:01:26PM +0100, Yann Dirson wrote:
> The ufo:ai project is being brought back among the living.
> New URL: http://ufoai.sourceforge.net/
> 
> I am updating the preliminary packages to what's in cvs, and will
> upload once we have something playable.

anything new no that? Have the remaining license issues been resolved?
What about packaging up 2.1.1, released in May 2007?

bye,
    - michael




Bug reopened, originator not changed. Request was from dwitch@nan92-1-81-57-214-146.fbx.proxad.net (Yann Dirson) to control@bugs.debian.org. (Tue, 20 Nov 2007 21:12:30 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from dwitch@nan92-1-81-57-214-146.fbx.proxad.net (Yann Dirson) to control@bugs.debian.org. (Tue, 27 Nov 2007 22:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon@alcopop.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #45 received at 244582@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon@alcopop.org>
To: Yann Dirson <ydirson@altern.org>
Cc: 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: ufo:ai packages
Date: Wed, 5 Dec 2007 18:46:48 +0000
Hi Yann,

Are you still working on this? Would you consider joining /
working with the Debian games team? We're keen to see this
packaged and might be able to help with the more tedious
aspects of chasing down licences, etc. etc., keeping the
packaging effort alive...


-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Barry deFreese <bddebian@comcast.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #50 received at 244582@bugs.debian.org (full text, mbox):

From: Barry deFreese <bddebian@comcast.net>
To: Yann Dirson <ydirson@altern.org>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufo:ai packages
Date: Wed, 05 Dec 2007 15:36:59 -0500
Jon Dowland wrote:
> Hi Yann,
>
> Are you still working on this? Would you consider joining /
> working with the Debian games team? We're keen to see this
> packaged and might be able to help with the more tedious
> aspects of chasing down licences, etc. etc., keeping the
> packaging effort alive...
>   
I look at this also.  We would still have to get HawkNL into Debian yet, 
correct?

Thanks,

Barry deFreese




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <lists@alcopop.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #55 received at 244582@bugs.debian.org (full text, mbox):

From: Jon Dowland <lists@alcopop.org>
To: debian-devel-games@lists.debian.org
Cc: Yann Dirson <ydirson@altern.org>, 244582@bugs.debian.org
Subject: Re: ufo:ai packages
Date: Thu, 6 Dec 2007 11:33:30 +0000
On Wed, Dec 05, 2007 at 03:36:59PM -0500, Barry deFreese
wrote:
> I look at this also.  We would still have to get HawkNL
> into Debian yet, correct?

I'm not sure. You need it at least for the current release,
with the default ./configure arguments. I've heard stuff
about it being written out of upstream; also, it isn't
needed for the  client, only the server build (I think).
But yes, if it's needed, it will need to be packaged and
maintained separately.


-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Teemu Ikonen" <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #60 received at 244582@bugs.debian.org (full text, mbox):

From: "Teemu Ikonen" <tpikonen@gmail.com>
To: 244582@bugs.debian.org
Cc: debian-devel-games@lists.debian.org, "Yann Dirson" <ydirson@altern.org>
Subject: ufoai packages
Date: Sat, 23 Feb 2008 18:34:45 +0100
Hi,

If someone is looking for packages of this nice game, there is source
package of version 2.2 at
http://www.getdeb.net/release.php?id=1947
which builds on lenny/sid if one upgrades the build depency of
libcurl3-dev to libcurl4-dev. As mentioned in the previous messages to
this bug, HawkNL is not needed.

As for getting this game into Debian main, there seems to be still
some issues with the licensing of some of the game content, mostly the
textures it seems. There's also a question about the DFSG-freeness of
the CC licenses used for the content, mentioned at
http://ufoai.ninex.info/wiki/index.php/License_Issues
Most content seems to be CC-SA 3.0 though, which is DFSG compatible.

If there is a place outside of Debian which could host the packages
and the revision control data for the debian dir,
I could fix the trivial build bugs and lintian warnings in the package
from getdeb. At least that way one could get Debian installable
binaries.

Teemu




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #65 received at 244582@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Sat, 23 Feb 2008 21:38:38 +0100
On Sat, Feb 23, 2008 at 06:34:45PM +0100, Teemu Ikonen wrote:
> If someone is looking for packages of this nice game, there is source
> package of version 2.2 at
> http://www.getdeb.net/release.php?id=1947
> which builds on lenny/sid if one upgrades the build depency of
> libcurl3-dev to libcurl4-dev. As mentioned in the previous messages to
> this bug, HawkNL is not needed.

Cool - I must say I have not done much on this package lately.  Is
this an updated version from the packaging I have done in SVN ?

> As for getting this game into Debian main, there seems to be still
> some issues with the licensing of some of the game content, mostly the
> textures it seems. There's also a question about the DFSG-freeness of
> the CC licenses used for the content, mentioned at
> http://ufoai.ninex.info/wiki/index.php/License_Issues
> Most content seems to be CC-SA 3.0 though, which is DFSG compatible.

I'd be happy to see an official statement saying that CC-anything is
DFSG-compliant, but last I check (2 weeks ago), I could only find that
the consensus was that no CC license is.

> If there is a place outside of Debian which could host the packages
> and the revision control data for the debian dir,

The Debian dir is already in UFO:AI SVN.  The debs can probably be
handled by sourceforge - that was the idea when the former deb
repository was closed.

Best regards,
-- 
Yann




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #70 received at 244582@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: 244582@bugs.debian.org, debian-devel-games@lists.debian.org, Yann Dirson <ydirson@altern.org>
Subject: Re: ufoai packages
Date: Sat, 23 Feb 2008 22:40:51 +0100
[Message part 1 (text/plain, inline)]
On 23/02/2008, Teemu Ikonen wrote:
> As for getting this game into Debian main, there seems to be still
> some issues with the licensing of some of the game content, mostly
> the textures it seems. There's also a question about the
> DFSG-freeness of the CC licenses used for the content, mentioned at
> http://ufoai.ninex.info/wiki/index.php/License_Issues Most content
> seems to be CC-SA 3.0 though, which is DFSG compatible.

Note that ftpmasters are OK with that ATM, but that -legal hasn't
reached the same conclusion.

> If there is a place outside of Debian which could host the packages
> and the revision control data for the debian dir, I could fix the
> trivial build bugs and lintian warnings in the package from getdeb.
> At least that way one could get Debian installable binaries.

Why not just using the pkg-games svn to store the debian/ directory?

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #75 received at 244582@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: Teemu Ikonen <tpikonen@gmail.com>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Sat, 23 Feb 2008 23:18:59 +0100
On Sat, Feb 23, 2008 at 10:40:51PM +0100, Cyril Brulebois wrote:
> On 23/02/2008, Teemu Ikonen wrote:
> > As for getting this game into Debian main, there seems to be still
> > some issues with the licensing of some of the game content, mostly
> > the textures it seems. There's also a question about the
> > DFSG-freeness of the CC licenses used for the content, mentioned at
> > http://ufoai.ninex.info/wiki/index.php/License_Issues Most content
> > seems to be CC-SA 3.0 though, which is DFSG compatible.
> 
> Note that ftpmasters are OK with that ATM, but that -legal hasn't
> reached the same conclusion.

Damned, that's a problem - who decides ?  Sounds like this would need
a GR like for the FDL :)

> > If there is a place outside of Debian which could host the packages
> > and the revision control data for the debian dir, I could fix the
> > trivial build bugs and lintian warnings in the package from getdeb.
> > At least that way one could get Debian installable binaries.
> 
> Why not just using the pkg-games svn to store the debian/ directory?

It's just that there is a debian/ tree in upstream SVN, because I
happen to have done this and other things in that project.  And I
don't know what's the policy is about this for packages for which the
legal status for each part has not been settled - it's not just about
CC, it's mostly about those textures that original devs copied from
who-knows-where presuming it was OK to do so...

Best regards,
-- 
Yann




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #80 received at 244582@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Yann Dirson <ydirson@altern.org>
Cc: Teemu Ikonen <tpikonen@gmail.com>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Sat, 23 Feb 2008 23:32:46 +0100
[Message part 1 (text/plain, inline)]
On 23/02/2008, Yann Dirson wrote:
> Damned, that's a problem - who decides ? Sounds like this would need
> a GR like for the FDL :)

FWIW, I'd assume it's OK to upload that into main, and that ftpmasters
would take appropriate actions in case something's (very) wrong with
that license. IANADD, IANAL, etc.

> > Why not just using the pkg-games svn to store the debian/
> > directory?
>
> It's just that there is a debian/ tree in upstream SVN, because I
> happen to have done this and other things in that project. And I
> don't know what's the policy is about this for packages for which
> the legal status for each part has not been settled - it's not just
> about CC, it's mostly about those textures that original devs copied
> from who-knows-where presuming it was OK to do so...

I see. Common situation actually. You're welcome to host the debian/
directory in pkg-games's svn anyway, which is far better than an
upstream debian/ directory (see Joey Hess's blog for such reasons).
Even if it's not uploaded yet, one can keep track of it there.
Usually, either one should ask upstream to track down where the files
were copied from, or to replace them with files licensed under
suitable terms. Depending on the type of the files, you might just
strip them for the tarballs for some versions (e.g. music/sound files
might not be essential, and just deleted from the tarball), until some
free content is added back, or until original copyright holders
(re)license them under appropriate terms.

I hope it clarifies. Let me know if you have more questions.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <little.miry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #85 received at 244582@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <little.miry@gmail.com>
To: "Cyril Brulebois" <cyril.brulebois@enst-bretagne.fr>
Cc: "Teemu Ikonen" <tpikonen@gmail.com>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org, "Yann Dirson" <ydirson@altern.org>
Subject: Re: ufoai packages
Date: Mon, 25 Feb 2008 11:31:49 +0100
2008/2/23, Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
> On 23/02/2008, Teemu Ikonen wrote:
>  > As for getting this game into Debian main, there seems to be still
>  > some issues with the licensing of some of the game content, mostly
>  > the textures it seems. There's also a question about the
>  > DFSG-freeness of the CC licenses used for the content, mentioned at
>  > http://ufoai.ninex.info/wiki/index.php/License_Issues Most content
>  > seems to be CC-SA 3.0 though, which is DFSG compatible.
>
>
> Note that ftpmasters are OK with that ATM, but that -legal hasn't
>  reached the same conclusion.

It's the ftpmasters who are responsible for taking that decision and
the ones who have to reach the decision. debian-legal cannot do any
official statement regarding Debian, it's just a consultive mailing
list.

"The only official statements about DFSG compliance are made by the
ftpmasters." ( Marco d''Itri ,
http://www.usenetarticles.com/thread/804922.html )

Ftpmasters have already accepted CC-by and CC-by-sa 3.0 (only 3.0, not
2.0 nor 2.5) into the repositories.

Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Teemu Ikonen" <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #90 received at 244582@bugs.debian.org (full text, mbox):

From: "Teemu Ikonen" <tpikonen@gmail.com>
To: "Cyril Brulebois" <cyril.brulebois@enst-bretagne.fr>
Cc: "Yann Dirson" <ydirson@altern.org>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Mon, 25 Feb 2008 13:09:32 +0100
On Sat, Feb 23, 2008 at 11:32 PM, Cyril Brulebois
<cyril.brulebois@enst-bretagne.fr> wrote:
> On 23/02/2008, Yann Dirson wrote:
>  > > Why not just using the pkg-games svn to store the debian/
>  > > directory?
>  > It's just that there is a debian/ tree in upstream SVN, because I
[...]
>  I see. Common situation actually. You're welcome to host the debian/
>  directory in pkg-games's svn anyway, which is far better than an
>  upstream debian/ directory (see Joey Hess's blog for such reasons).

Ok, does one need to be a DD in order to upload the debian-dir to the
pkg-games SVN? Any other hints to using the SVN server than in
http://wiki.debian.org/Games/SVN ?

Yann, since the packaging is mostly your work, do you want to fix the
remaining bugs and upload it to pkg-games?

Teemu




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #95 received at 244582@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Miriam Ruiz <little.miry@gmail.com>
Cc: Teemu Ikonen <tpikonen@gmail.com>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org, Yann Dirson <ydirson@altern.org>
Subject: Re: ufoai packages
Date: Mon, 25 Feb 2008 16:38:09 +0100
[Message part 1 (text/plain, inline)]
On 25/02/2008, Miriam Ruiz wrote:
> > Note that ftpmasters are OK with that ATM, but that -legal hasn't
> > reached the same conclusion.
>
> It's the ftpmasters who are responsible for taking that decision and
> the ones who have to reach the decision. debian-legal cannot do any
> official statement regarding Debian, it's just a consultive mailing
> list.
>
> "The only official statements about DFSG compliance are made by the
> ftpmasters." ( Marco d''Itri ,
> http://www.usenetarticles.com/thread/804922.html )

Sure, but still, since there are some points against them WRT DFSG
compliance, that's the kind of licenses I consider as acceptable, but
not one I would eventually recommend upstreams to switch to.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #100 received at 244582@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Miriam Ruiz <little.miry@gmail.com>
Cc: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, Teemu Ikonen <tpikonen@gmail.com>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Mon, 25 Feb 2008 21:36:56 +0100
On Mon, Feb 25, 2008 at 11:31:49AM +0100, Miriam Ruiz wrote:
> 2008/2/23, Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
> > On 23/02/2008, Teemu Ikonen wrote:
> >  > As for getting this game into Debian main, there seems to be still
> >  > some issues with the licensing of some of the game content, mostly
> >  > the textures it seems. There's also a question about the
> >  > DFSG-freeness of the CC licenses used for the content, mentioned at
> >  > http://ufoai.ninex.info/wiki/index.php/License_Issues Most content
> >  > seems to be CC-SA 3.0 though, which is DFSG compatible.
> >
> >
> > Note that ftpmasters are OK with that ATM, but that -legal hasn't
> >  reached the same conclusion.
> 
> It's the ftpmasters who are responsible for taking that decision and
> the ones who have to reach the decision. debian-legal cannot do any
> official statement regarding Debian, it's just a consultive mailing
> list.
> 
> "The only official statements about DFSG compliance are made by the
> ftpmasters." ( Marco d''Itri ,
> http://www.usenetarticles.com/thread/804922.html )
> 
> Ftpmasters have already accepted CC-by and CC-by-sa 3.0 (only 3.0, not
> 2.0 nor 2.5) into the repositories.

OK, that's good news.  But OTOH, it would be nice to have this
information somewhere on the official website.  And maybe a copy of
the license text in /usr/share/common-licences ?  Maybe in a
"non-recommended" or "discouraged" directory, possibly together with
the 4-clause BSD ?

Best regards,
-- 
Yann




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #105 received at 244582@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Mon, 25 Feb 2008 21:40:25 +0100
On Mon, Feb 25, 2008 at 01:09:32PM +0100, Teemu Ikonen wrote:
> On Sat, Feb 23, 2008 at 11:32 PM, Cyril Brulebois
> <cyril.brulebois@enst-bretagne.fr> wrote:
> > On 23/02/2008, Yann Dirson wrote:
> >  > > Why not just using the pkg-games svn to store the debian/
> >  > > directory?
> >  > It's just that there is a debian/ tree in upstream SVN, because I
> [...]
> >  I see. Common situation actually. You're welcome to host the debian/
> >  directory in pkg-games's svn anyway, which is far better than an
> >  upstream debian/ directory (see Joey Hess's blog for such reasons).
> 
> Ok, does one need to be a DD in order to upload the debian-dir to the
> pkg-games SVN? Any other hints to using the SVN server than in
> http://wiki.debian.org/Games/SVN ?
> 
> Yann, since the packaging is mostly your work, do you want to fix the
> remaining bugs and upload it to pkg-games?

Well, as you noticed I haven't be very active on ufo:ai recently, so
you are surely more uptodate than I am with the build procedure.
Please be my guest if you wish to adopt it.

Best regards,
-- 
Yann




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+debian-devel-games@alcopop.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #110 received at 244582@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+debian-devel-games@alcopop.org>
To: Teemu Ikonen <tpikonen@gmail.com>
Cc: Yann Dirson <ydirson@altern.org>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Tue, 26 Feb 2008 15:59:13 +0000
On Mon, Feb 25, 2008 at 01:09:32PM +0100, Teemu Ikonen wrote:
> Ok, does one need to be a DD in order to upload the debian-dir to the
> pkg-games SVN? Any other hints to using the SVN server than in
> http://wiki.debian.org/Games/SVN ?

You can check out but not commit anonymously to the pkg-games SVN
server: to commit, you need to join the debian games team. That involves
getting an account on alioth at <http://alioth.debian.org/> and then
visiting <http://alioth.debian.org/projects/pkg-games/> and clicking
"request to join" on the right-hand side.

> Yann, since the packaging is mostly your work, do you want to fix the
> remaining bugs and upload it to pkg-games?

I'm happy to import a ./debian directory to the repository for you
whilst you are going through the above process. I'll also happily apply
patches to it (I'll read 'em first of course ;))

Is the package at getdeb the most recent one? If so give me the nod and
I'll import it. It would be good to do that /before/ fixing known
packaging issues, rather than after; once it's in SVN more people can
have a go at fixing them (and the autobuilder and auto lint-scanner etc.
will start taking effect).

I am not one of the people who approve applications to join the team:
those who do, however, may be interested in seeing some work before
adding someone (there were some quality control issues a few months
back). Importing the unpolished source now and fixing the known issues
by way of patches against that would be a good start for that.


-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Teemu Ikonen" <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #115 received at 244582@bugs.debian.org (full text, mbox):

From: "Teemu Ikonen" <tpikonen@gmail.com>
To: "Teemu Ikonen" <tpikonen@gmail.com>, "Yann Dirson" <ydirson@altern.org>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Wed, 27 Feb 2008 12:48:05 +0100
On Tue, Feb 26, 2008 at 4:59 PM, Jon Dowland
<jon+debian-devel-games@alcopop.org> wrote:
>  I'm happy to import a ./debian directory to the repository for you
>  whilst you are going through the above process. I'll also happily apply
>  patches to it (I'll read 'em first of course ;))
>
>  Is the package at getdeb the most recent one? If so give me the nod and
>  I'll import it.

The packaging in upstream SVN is more up to date than the version on
getdeb.net. I've contacted the authors and asked if they want to start
collaborating with Debian games.

Teemu




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Teemu Ikonen" <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #120 received at 244582@bugs.debian.org (full text, mbox):

From: "Teemu Ikonen" <tpikonen@gmail.com>
To: 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: ufoai packages
Date: Sun, 23 Mar 2008 13:25:29 +0100
[Message part 1 (text/plain, inline)]
Hi,

There's been some progress in the packaging of ufoai 2.2. Attached to
this mail is a wig and pen style debian.tar.gz archive containing the
debian dir and a quilt patch series. To build, unpack the archive and
run the get-orig-source target of debian/rules. This will build an
orig.tar by exporting from upstream SVN. The orig.tar should then be
unpacked and the debian dir copied on top of the source directory.
After that run debian/rules binary. Be warned that the compilation of
the maps takes ages (> 12 h here).

Teemu
[ufoai_2.2.1~svn15680.debian.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ludwig <dino@phidev.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #125 received at 244582@bugs.debian.org (full text, mbox):

From: Florian Ludwig <dino@phidev.org>
To: 244582@bugs.debian.org
Subject: ufo:ai - license problems and packaging
Date: Fri, 11 Apr 2008 12:50:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

nice to see some progress here to get ufo:ai into debian! The main
problem with ufo:ai is not getting packaging bugs fixed IMHO. First
there are a lot of license problems to solve, so I decided to wait until
those got fixed before trying to push ufo into debian repos.

The main problem with ufo:ai is that nobody of the "old team" that
started the game is active anymore so there are (mainly textures) with
unknown sources. The ufo:ai-team decided to audit the hole thing. You
can find a lot of svn:license tags ;)

There is a slow prorgess [0] but there are still more than 300 textures
to be replaced [1] so if you know some artist or one yourself and got
some spare time please thing about helping out.

Florian


[0] http://phidev.org/~dino/ufo/html/textures/index.html
[1]
http://phidev.org/~dino/ufo/html/textures/696b031073e74bf2cb98e5ef201d4aa3.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ludwig <dino@phidev.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #130 received at 244582@bugs.debian.org (full text, mbox):

From: Florian Ludwig <dino@phidev.org>
To: 244582@bugs.debian.org, debian-devel-games@lists.debian.org, tpikonen@gmail.com
Subject: ufo:ai - license problems and packaging
Date: Sun, 27 Apr 2008 17:14:04 +0200
Hi again,

thank you Teemu for the patches / changes / additions. 

  * Rename ufoai-data-music to ufoai-music, install just ogg-files
    instead of packing into pk3

I guess its because of putting .ogg files in a zip-archive is not
"useful" in terms of compression you've done this? 

  * Set BASEDIR to empty string
Why?

Florian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Teemu Ikonen" <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yann Dirson <ydirson@altern.org>. Full text and rfc822 format available.

Message #135 received at 244582@bugs.debian.org (full text, mbox):

From: "Teemu Ikonen" <tpikonen@gmail.com>
To: "Florian Ludwig" <dino@phidev.org>, 244582@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: ufo:ai - license problems and packaging
Date: Mon, 28 Apr 2008 10:40:35 +0200
Florian Ludwig wrote:
>  * Rename ufoai-data-music to ufoai-music, install just ogg-files
>    instead of packing into pk3
>
>I guess its because of putting .ogg files in a zip-archive is not
>"useful" in terms of compression you've done this?

Yes. Also, the music is nice and could be played outside of the game as well.

>  * Set BASEDIR to empty string
>Why?

Mostly esthetic reasons. If BASEDIR is set to something, then this
directory will be the only file in $HOME/.ufoai/2.2 for example, which
is silly. I agree that this is incompatible with the pure SVN builds
and can cause problems, so I'm not totally against changing it back to
"base".

Best,

Teemu




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 May 2008 07:34:44 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Carlo Stemberger <carlo.stemberger@gmail.com> to control@bugs.debian.org. (Thu, 13 May 2010 13:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. (Thu, 13 May 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Dirson <ydirson@altern.org>. (Thu, 13 May 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #144 received at 244582@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: 244582@bugs.debian.org
Subject: Any news?
Date: Thu, 13 May 2010 15:58:28 +0200
Is there any news?

Thanks,
Carlo

-- 
 .'  `.   | Registered Linux User #443882
 |a_a  |  | http://counter.li.org/                      .''`.
 \<_)__/  +---                                         : :'  :
 /(   )\                                          ---+ `. `'`
|\`>  <  /\                  Registered Debian User #9 |   `-
\_|=='|_/       http://debiancounter.altervista.org/ |





Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 May 2010 12:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Dirson <ydirson@altern.org>:
Bug#244582; Package wnpp. (Sat, 19 Feb 2011 17:57:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Dirson <ydirson@altern.org>. (Sat, 19 Feb 2011 17:57:46 GMT) Full text and rfc822 format available.

Message #151 received at 244582@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 244582@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ufoai: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 16:59:12 +0000
retitle 244582 RFP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens
noowner 244582
thanks

Hi,

This is an automatic email to change the status of ufoai back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting ufoai, please send a mail to
<control@bugs.debian.org> with:

 retitle 244582 ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens
 owner 244582 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <244582@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens' from 'ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:26 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Yann Dirson <ydirson@altern.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#244582; Package wnpp. (Wed, 07 Nov 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guest One <theguestone@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Nov 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #160 received at 244582@bugs.debian.org (full text, mbox):

From: Guest One <theguestone@gmail.com>
To: 244582@bugs.debian.org
Date: Wed, 7 Nov 2012 09:44:02 +0100
[Message part 1 (text/plain, inline)]
Some news about the inclusion of UFO:AI in official Debian repositories?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#244582; Package wnpp. (Wed, 10 Jul 2013 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 10 Jul 2013 11:33:04 GMT) Full text and rfc822 format available.

Message #165 received at 244582@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 244582@bugs.debian.org, control@bugs.debian.org
Subject: ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens
Date: Wed, 10 Jul 2013 13:29:03 +0200
[Message part 1 (text/plain, inline)]
retitle 244582 ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens
owner 244582 !
thanks


I intend to work on ufoai as part of the Debian Games Team.
The game data has to be packaged seperately hence i will open new ITP bugs for it in the future.

Markus

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens' from 'RFP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 10 Jul 2013 11:33:07 GMT) Full text and rfc822 format available.

Owner recorded as Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 10 Jul 2013 11:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#244582; Package wnpp. (Tue, 10 Sep 2013 19:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Sep 2013 19:36:05 GMT) Full text and rfc822 format available.

Message #174 received at 244582@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 244582@bugs.debian.org
Subject: ITP: ufoai -- UFO: Alien Invasion - build your team and stop the aliens
Date: Tue, 10 Sep 2013 21:32:48 +0200
[Message part 1 (text/plain, inline)]
Current status:

http://anonscm.debian.org/gitweb/?p=pkg-games/ufoai.git
http://anonscm.debian.org/gitweb/?p=pkg-games/ufoai-data.git
http://anonscm.debian.org/gitweb/?p=pkg-games/ufoai-maps.git
http://anonscm.debian.org/gitweb/?p=pkg-games/ufoai-music.git

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:42:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.